##### basic_socket_acceptor::accept (3 of 4 overloads)

Accept a new connection and obtain the endpoint of the peer.

    template<
        typename SocketService>
    void accept(
        basic_socket< protocol_type, SocketService > & peer,
        endpoint_type & peer_endpoint);

This function is used to accept a new connection from a peer into the given socket, and additionally provide the endpoint of the remote peer. The function call will block until a new connection has been accepted successfully or an error occurs.

###### Parameters

peer

  The socket into which the new connection will be accepted.

peer_endpoint

  An endpoint object which will receive the endpoint of the remote peer.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Example

    asio::ip::tcp::acceptor acceptor(io_service);
    ...
    asio::ip::tcp::socket socket(io_service);
    asio::ip::tcp::endpoint endpoint;
    acceptor.accept(socket, endpoint);